package fr.username404.snowygui.gui.feature

import fr.username404.snowygui.ClickGui
import fr.username404.snowygui.gui.elements.ClickBox
import net.minecraft.network.chat.TranslatableComponent

@Target(AnnotationTarget.CLASS)
@Retention(AnnotationRetention.RUNTIME)
annotation class ButtonInfo(
    val parent: Category,
    val kind: Type = Type.TOGGLE,
    val color: Colors = Colors.BLUE
) {
    companion object {
        internal var lightningFactor: Float = 0.33F
        enum class Type {
            TOGGLE,
            CLICK // TODO Fix the CLICK behaviour
        }
    }
}; enum class Category(val translationKey: String) {
    MISC("snowy.clickbox.misc"),
    RISKY("snowy.clickbox.risky");
    init { ClickGui.components.add(ClickBox(y = 0.0, name = TranslatableComponent(translationKey))) }
}